package com.ym.mec.thirdparty.adapay.entity;

public class AccountInfo {
	
	private String memberId;

	/**
	 * 银行卡号
	 */
	private String cardId;
	
	/**
	 * 银行卡对应的户名
	 */
	private String cardName;
	
	/**
	 * 证件号，银行账户类型为对私时，必填
	 */
	private String certId;
	
	/**
	 * 证件类型，仅支持：00-身份证，银行账户类型为对私时，必填
	 */
	private String certType;
	
	/**
	 * 手机号
	 */
	private String telNo;
	
	/**
	 * 银行编码，详见附录 银行代码，银行账户类型对公时，必填
	 */
	private String bankCode;
	
	/**
	 * 开户银行名称
	 */
	private String bankName;
	
	/**
	 * 银行账户类型：1-对公；2-对私
	 */
	private String bankAcctType;
	
	/**
	 * 银行账户开户银行所在省份编码 （省市编码），银行账户类型为对公时，必填
	 */
	private String provCode;
	
	/**
	 * 银行账户开户银行所在地区编码（省市编码），银行账户类型为对公时，必填
	 */
	private String areaCode;

	public String getMemberId() {
		return memberId;
	}

	public void setMemberId(String memberId) {
		this.memberId = memberId;
	}

	public String getCardId() {
		return cardId;
	}

	public void setCardId(String cardId) {
		this.cardId = cardId;
	}

	public String getCardName() {
		return cardName;
	}

	public void setCardName(String cardName) {
		this.cardName = cardName;
	}

	public String getCertId() {
		return certId;
	}

	public void setCertId(String certId) {
		this.certId = certId;
	}

	public String getCertType() {
		return certType;
	}

	public void setCertType(String certType) {
		this.certType = certType;
	}

	public String getTelNo() {
		return telNo;
	}

	public void setTelNo(String telNo) {
		this.telNo = telNo;
	}

	public String getBankCode() {
		return bankCode;
	}

	public void setBankCode(String bankCode) {
		this.bankCode = bankCode;
	}

	public String getBankName() {
		return bankName;
	}

	public void setBankName(String bankName) {
		this.bankName = bankName;
	}

	public String getBankAcctType() {
		return bankAcctType;
	}

	public void setBankAcctType(String bankAcctType) {
		this.bankAcctType = bankAcctType;
	}

	public String getProvCode() {
		return provCode;
	}

	public void setProvCode(String provCode) {
		this.provCode = provCode;
	}

	public String getAreaCode() {
		return areaCode;
	}

	public void setAreaCode(String areaCode) {
		this.areaCode = areaCode;
	}
}
